> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contactswing.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Assistant

> Update an existing assistant by its ID via the ContactSwing API.

### Authorizations

<ParamField header="Authorization" type="string" required>
  Enter your ContactSwing JWT Bearer token.
</ParamField>

### Path Parameters

<ParamField path="assistant_id" type="string" required>
  Unique assistant identifier from ContactSwing dashboard.
</ParamField>

### Request Body

**JSON: AssistantRequest** (see OpenAPI spec)

<ParamField path="name" type="string">
  Updated assistant display name
</ParamField>

<ParamField path="description" type="string">
  Updated assistant purpose
</ParamField>

<ParamField path="actions" type="array">
  Updated action IDs `["action_id_1"]`
</ParamField>

<ParamField path="model" type="string">
  Updated AI model `gpt-4o`
</ParamField>

### Response

**200 OK** - Assistant updated successfully

<ResponseField name="ctx_id" type="string">Request context ID</ResponseField>

<ResponseField name="data" type="object">
  <ResponseField name="id" type="string">Assistant ID</ResponseField>
  <ResponseField name="name" type="string">Updated assistant name</ResponseField>
</ResponseField>

<ResponseField name="message" type="string">"Request processed successfully"</ResponseField>

### Example

```json theme={null}
{
  "name": "Updated SMS Assistant",
  "actions": ["6f439f98-32f6-4b44-928c-6e890e298d51", "new_action_id"]
}
```
